// copyright 2022 zamfofex
// license: AGPLv3 or later

#include <mimimi/chapters.h>

static void mimimi_noop_behavior(struct mimimi_sprite *sprite, void *data) { }
static struct mimimi_behavior mimimi_behave_data_default_behavior = {&mimimi_noop_behavior, 0};
static struct mimimi_physics_data mimimi_physics_data_default_value = {4};
static struct mimimi_fall_data mimimi_fall_data_default_value = {128, 64};
static struct mimimi_live_data mimimi_live_data_default_value = {64, 256};
static struct mimimi_walk_data mimimi_walk_data_default_value = {4, 3};
static struct mimimi_behave_data mimimi_behave_data_default_value =
{
	&mimimi_behave_data_default_behavior,
	&mimimi_physics_data_default_value,
	&mimimi_fall_data_default_value,
	&mimimi_live_data_default_value,
	&mimimi_walk_data_default_value,
};

struct mimimi_physics_data *mimimi_physics_data_default = &mimimi_physics_data_default_value;
struct mimimi_fall_data *mimimi_fall_data_default = &mimimi_fall_data_default_value;
struct mimimi_live_data *mimimi_live_data_default = &mimimi_live_data_default_value;
struct mimimi_walk_data *mimimi_walk_data_default = &mimimi_walk_data_default_value;
struct mimimi_behave_data *mimimi_behave_data_default = &mimimi_behave_data_default_value;
